package com.yem.wm.es.salesorder.op;

import com.yem.wm.es.salesorder.validator.SalesOrderMaterielSubValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author power
 * @ClassName 外销合同
 * @description: 提交物料校验插件
 * @date 2023/8/15
 */
public class SalesOrderMaterielSubOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add("yem_es_materialinfo");
        e.getFieldKeys().add("yem_businesssort");
        e.getFieldKeys().add("yem_materiel");
    }
    @Override
    public void onAddValidators(AddValidatorsEventArgs e){
        e.addValidator(new SalesOrderMaterielSubValidator());
    }
}
